package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouPopulation;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人群包列表
 *
 * @author: jeecg-boot
 * @date: 2020-05-06
 * @cersion: V1.0
 */
public interface KuaishouPopulationMapper extends BaseMapper<KuaishouPopulation> {

    void replaceBatch(@Param("addList") List<KuaishouPopulation> addList);

    void deleteByAccountId(@Param("accountId") Long accountId);

    void replaceBatchMedia(@Param("list") List<JSONObject> list);

    List<JSONObject> getMedias(@Param("accountId")Long accountId);
}
